Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2839 - switchdesk will not switch to kde
Summary: switchdesk will not switch to kde
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdesupport
Version: 6.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-15 15:24 UTC by yarger
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-05-24 20:09:14 UTC


Attachments (Terms of Use)

Description yarger 1999-05-15 15:24:56 UTC
I have done a number of fresh installations of RedHat
6.0.  Everytime that I run switchdesk to switch to kde, it
appears to run successfully.  I then exit X.  When I startx,
however, I receive:
kpanel: waiting for windowmanager
QKir::readDirEntries : Cannot read the directory:
/root/Desktop/Templates
ERROR: Template does not exist '/root/Desktop/Templates/'

waiting for X server to shut down

At this point, I cannot get into X, nor can I run switchdesk
to switch back to Gnome.  I checked and no Desktop
directory is present in /root (although other users have
that directory made for them).
    I copied a copy of another user's Desktop directory into
/root and got this result:
kpanel: waiting for windowmanager

waiting for X server to shut down

I have also experimented with other non-root users,
and they suffer the same symtoms.  Anyway, I don't know how
to resolve this problem.  Please help.  I'm locked out
of X now until I can find a work around.  Thanks -- good
luck.

Comment 1 Jay Turner 1999-05-24 20:09:59 UTC
Am unable to recreate this in the test lab.  Have used several systems
and been able to switch from Gnome to KDE to AnotherLevel and back to
all 3 without any problems.  Sounds like there is something else going
on with the systems other than the switchdesk tool.


Note You need to log in before you can comment on or make changes to this bug.